package org.xyzh.common.dto.role;

import org.xyzh.common.dto.BaseDTO;
/**
 * @description    TbSysRolePermission.java文件描述 角色权限关联信息
 * @filename    TbSysRolePermission.java
 * @author    yslg
 * @copyright xyzh
 * @since 2025-09-16
 */
public class TbSysRolePermission extends BaseDTO{
    private static final long serialVersionUID = 1L;

    /**
     * @description    角色ID
     * @author    yslg
     * @since 2024-06
     */
    private String roleID;

    /**
     * @description    权限ID
     * @author    yslg
     * @since 2024-06
     */
    private String permissionID;

    /**
     * @description    创建人
     * @author    yslg
     * @since 2025-09-16
     */
    public String creator;

    /**
     * @description    更新人
     * @author    yslg
     * @since 2025-09-16
     */
    public String updater;

    public String getRoleID() {
        return roleID;
    }

    public void setRoleID(String roleID) {
        this.roleID = roleID;
    }

    public String getPermissionID() {
        return permissionID;
    }

    public void setPermissionID(String permissionID) {
        this.permissionID = permissionID;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getUpdater() {
        return updater;
    }

    public void setUpdater(String updater) {
        this.updater = updater;
    }

    @Override
    public String toString() {
        return "TbSysRolePermission{" +
                "id='" + getID() + '\'' +
                ", roleID='" + roleID + '\'' +
                ", permissionID='" + permissionID + '\'' +
                ", creator='" + creator + '\'' +
                ", updater='" + updater + '\'' +
                ", createTime=" + getCreateTime() +
                ", updateTime=" + getUpdateTime() +
                ", deleteTime=" + getDeleteTime() +
                ", deleted=" + getDeleted() +
                '}';
    }

}
